<?php
/**
 * The template for displaying all category pages.
 *
 * This is the template that displays all pages by default.
 *
 * @package bootBiz
 */

get_header(); ?>

<div id="category" class="container">

  <div class="row">
    <div class="col-md-8">
      <h1><?php single_cat_title(__('Category: ', 'bootbiz-for-wedding')); ?></h1>
      
      <?php if(category_description()): ?>
        <div class="category_desc"><?php echo category_description(); ?></div>
      <?php endif; ?>

      <?php if ( have_posts() ) : ?>

        <?php /* Start the Loop */ ?>
        <?php while ( have_posts() ) : the_post(); ?>
          <?php get_template_part( 'content', get_post_format() ); ?>
        <?php endwhile; ?>

        <div class="clearfix"></div>
        <?php bootBiz_pagination(); ?>

      <?php else : ?>
        <?php get_template_part( 'no-results', 'archive' ); ?>
      <?php endif; ?>
    </div>
    <div class="col-md-4"><?php get_sidebar();?></div>
  </div><!-- .row -->

</div><!-- #category -->
<?php get_footer(); ?>

