<?php
/**
 * The template for displaying the footer.
 *
 * @package bootBiz
 */
?>


<div id="footer" class="container-fluid">
  <footer>
    <div class="row bg-danger">
      <?php if ( ! dynamic_sidebar( 'footer' ) ) : ?>
      <?php endif; // end sidebar widget area ?>
    </div>

    <div class="row bg-danger">
      <div class="pull-right footer_social">
        <?php if ( get_theme_mod('fb_link') != ""): ?>
          <a title="facebook" target="_blank" href="<?php echo esc_url(get_theme_mod('fb_link','#facebook')); ?>"><img src="<?php echo get_template_directory_uri() . '/images/social/Facebook.png'; ?>" alt="<?php bloginfo('name') . _e(' Facebook Page', 'bootbiz-for-wedding'); ?>"></a> 
        <?php endif; ?>
        
        <?php if ( get_theme_mod('twitt_link') != ""): ?>
          <a title="twitter" target="_blank" href="<?php echo esc_url(get_theme_mod('twitt_link','#twitter')); ?>"><img src="<?php echo get_template_directory_uri() . '/images/social/Twitter.png'; ?>" alt="<?php bloginfo('name') . _e(' Twitter', 'bootbiz-for-wedding'); ?>"></a> 
        <?php endif; ?>
        
        <?php if ( get_theme_mod('gplus_link') != ""): ?>
          <a title="google-plus" target="_blank" href="<?php echo esc_url(get_theme_mod('gplus_link','#gplus')); ?>"><img src="<?php echo get_template_directory_uri() . '/images/social/Google +.png'; ?>" alt="<?php bloginfo('name') . _e(' Google+', 'bootbiz-for-wedding'); ?>"></a> 
        <?php endif; ?>
        
        <?php if ( get_theme_mod('instagram_link') != ""): ?> 
          <a title="linkedin" target="_blank" href="<?php echo esc_url(get_theme_mod('instagram_link','#instagram')); ?>"><img src="<?php echo get_template_directory_uri() . '/images/social/Instagram.png'; ?>" alt="<?php bloginfo('name') . _e(' instagram', 'bootbiz-for-wedding'); ?>"></a> 
        <?php endif; ?>
      </div>
    </div>

    <div id="copyright">
      <small><?php _e('Copyright (C)', 'bootbiz-for-wedding'); ?> <?php bloginfo('name'); ?> <?php _e('All Rights Reserved.', 'bootbiz-for-wedding'); ?></small>
      <small class="pull-right"><?php echo bootBiz_wp_theme_text(); ?></small>
    </div>
    
    <?php wp_footer(); ?>

  </footer>
</div>


</body>
</html>
