<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package bootBiz
 */
?>
<div id="sidebar">
  <aside>
    <?php if ( ! dynamic_sidebar( 'sidebar' ) ) : ?>
      <div class="sidebar_widget">
        <h3><?php _e( 'Archives', 'bootbiz-for-wedding' ); ?></h3>
        <ul>
          <?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
        </ul>
      </div>
      <div class="sidebar_widget">
        <h3 class="widget-title"><?php _e( 'Meta', 'bootbiz-for-wedding' ); ?></h3>
        <ul>
          <?php wp_register(); ?>
          <li><?php wp_loginout(); ?></li>
          <?php wp_meta(); ?>
        </ul>
      </div>
    <?php endif; // end sidebar widget area ?>
  </aside>
</div>
