<?php
/**
 * The template for displaying single
 *
 * @package bootBiz
 */

get_header(); 
?>

<div id="single" class="container">
  <?php if (have_posts()) : ?>
  <?php while (have_posts()) : the_post(); ?>
   
    <div class="row">
      <div class="col-md-8">
        <div id="post-<?php the_ID(); ?>" <?php post_class('single-post'); ?>>
          <h1><?php the_title(); ?></h1>
          <ul class="meta_info list-inline">
            <li><?php echo get_the_date(); ?></li>
            <li> &nbsp;|&nbsp; <a href="<?php comments_link(); ?>"><?php comments_number(); ?></a></li>
            <li> &nbsp;|&nbsp; <?php the_category( ', '  ); ?></li>
          </ul>
          <p><?php the_post_thumbnail('' , array( 'class' => 'img-responsive' ) ); ?></p>
          <?php the_content(); ?>
          <p class="meta_info"><?php __( 'Tag: ', 'bootbiz-for-wedding' ) . the_tags(); ?></p>
          <p><?php edit_post_link( __( 'Edit', 'bootbiz-for-wedding' ), '<span class="edit-link">', '</span>' ); ?></p>
          <?php wp_link_pages( array(
              'before' => '<div class="text-center">' . __( 'Pages:', 'bootbiz-for-wedding' ),
              'after'  => '</div>',
          ) );
          ?>
          <?php
            // If comments are open or we have at least one comment, load up the comment template
            if ( comments_open() || '0' != get_comments_number() )
              comments_template();
          ?>
          <div class="nav_links">
            <div class="pull-left post_link"><?php previous_post_link('&laquo; %link'); ?></div>
            <div class="pull-right post_link"><?php next_post_link('%link &raquo;'); ?></div>
          </div>
          <div class="clearfix"></div>
        </div>
      </div>
      <div class="col-md-4"><?php get_sidebar();?></div>
    </div>
  
  <?php endwhile; ?>
  <?php endif; ?>
</div>

<?php get_footer(); ?>
 
