<?php
/**
 * The template for displaying Archive pages.
 *
 * @package bootBiz 
 */

get_header(); ?>

<div id="archive" class="container">

  <div class="row">
    <div class="col-md-8">
      <?php if ( have_posts() ) : ?>
      <h1><?php the_archive_title(); ?></h1>
      <div><?php the_archive_description(); ?></div>

        <?php /* Start the Loop */ ?>
        <?php while ( have_posts() ) : the_post(); ?>
            <?php get_template_part( 'content', get_post_format() ); ?>
        <?php endwhile; ?>

          <div class="clearfix"></div>
          <?php bootBiz_pagination(); ?>

        <?php else : ?>
            <?php get_template_part( 'no-results', 'archive' ); ?>
        <?php endif; ?>
      </div>
      <div class="col-md-4"><?php get_sidebar();?></div>
    </div>
  </div>

</div>

<?php get_footer(); ?>
