<?php
/**
 * The template for displaying home page.
 *
 * @package bootBiz
 */

get_header(); 
?>


<div id="news" class="container">
  <section>
  <h2 class="text-center"><?php _e('Latest Posts','bootbiz-for-wedding'); ?></h2>
    <div class="row">
      <?php if ( have_posts() ) : ?>
        <!-- Start the Loop. -->
        <?php while ( have_posts() ) : ?>
          
        <?php the_post(); ?>
        <?php get_template_part( 'content-frontpage', get_post_format() ); ?>
        
        <?php endwhile; ?>
      <?php else: ?>
        <!-- If no content, include the "No posts found" template. -->
        <?php get_template_part( 'no-results', 'index' ); ?>
      <?php endif; ?>
    </div>
    <!-- Previous/next post navigation. -->
    <?php bootBiz_pagination(); ?>
  </section> 
</div>

<?php get_footer(); ?>
 

