<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package bootBiz
 */

get_header(); 
?>
<div id="page" class="container">
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

  <div class="row">
    <div class="col-md-8">
      <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <h1><?php the_title(); ?></h1>
        <?php the_content(); ?>
        <?php
          //If comments are open or we have at least one comment, load up the comment template
          if ( comments_open() || '0' != get_comments_number() )
            comments_template();
        ?>
        <?php
          wp_link_pages( array(
            'before' => '<div class="page-links">' . __( 'Pages:', 'bootbiz-for-wedding' ),
            'after'  => '</div>',
          ) );
        ?>
        <?php edit_post_link( __( 'Edit', 'bootbiz-for-wedding' ), '<footer class="entry-meta"><span class="edit-link">', '</span></footer>' ); ?>
      </div><!-- #post-## -->
    </div>
    <div class="col-md-4"><?php get_sidebar();?></div>
  </div>

<?php endwhile; ?>
<?php endif; ?>
</div>

<?php get_footer(); ?>
