<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package bootBiz
 */

get_header(); ?>

<section>
  <div class="container">
    <div class="row">
      <div class="col-md-8">
        <?php if ( have_posts() ) : ?>
          <h1><?php printf( __( 'Search Results for: %s', 'bootbiz-for-wedding' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
          <?php while ( have_posts() ) : the_post(); ?>
            <?php get_template_part( 'content', 'search' ); ?>
          <?php endwhile; ?>

          <?php bootBiz_pagination(); ?>

        <?php else : ?>
          <?php get_template_part( 'no-results', 'search' ); ?>
        <?php endif; ?>
      </div>
      <div class="col-md-4"><?php get_sidebar();?></div>
    </div><!-- .row --> 
  </div><!-- .container --> 
</section>
<?php get_footer(); ?>
