<?php
/**
 * The template for displaying search forms in bootBiz for Wedding
 *
 * @package bootBiz
 */
?>
<form method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
  <div class="input-group" id="search_form">
    <input type="text" class="form-control" placeholder="<?php echo esc_attr_x( 'Search...', 'placeholder', 'bootbiz-for-wedding' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" name="s">
    <span class="input-group-btn">
      <button class="btn btn-default" type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'bootbiz-for-wedding' ); ?>">
        <i class='glyphicon glyphicon-search'></i>
      </button>
    </span>
  </div>
</form>
